Bug 185165 - Kdesvn race condition causes error messages on Konqueror right-click menus
Kdesvn race condition causes error messages on Konqueror right-click menus
Product: Fedora
Classification: Fedora
Component: kdesvn (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-10 19:32 EST by Kevin Kofler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.9.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 14:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2006-03-10 19:32:59 EST
Description of problem: Sometimes, when right-clicking somewhere in Konqueror  
or Krusader, you get spammed with a few error popups about kdesvn actions not  
being valid .desktop files. I first noticed this after the KDE 3.5.0 upgrade  
(sorry for not filing it earlier), and none of the KDESVN updates have fixed  
Version-Release number of selected component (if applicable):  
How reproducible: Sometimes (most likely a race condition)  
Steps to Reproduce:  
1. Start Konqueror or Krusader.  
2. Right-click a web page or file in Konqueror or a file in Krusader.  
Actual results: If you're (un)lucky enough, you get a few errors.  
Expected results: No errors.  
Additional info: 
Here's what the error messages say: "The desktop 
file /usr/share/apps/konqueror/servicemenus/subversion.desktop has an invalid 
menu entry Exportto" (and the same with other entries). This is the more 
likely the more loaded the system is. That and the randomness it occurs with 
are strong indicators of a race condition.
Comment 1 Orion Poplawski 2006-03-14 18:26:26 EST
Would you please file a bug upstream:
http://www.alwins-world.de/programs/mantis/view_all_bug_page.php and then note
that number here?
Comment 2 Kevin Kofler 2006-03-14 20:01:21 EST
This is now upstream bug 59. 
Comment 3 Kevin Kofler 2006-05-25 19:24:12 EDT
Fixed upstream (in SVN, trunk rev 788). Hopefully this will make it into a 
release soon.
Comment 4 Kevin Kofler 2006-07-18 07:28:29 EDT
Upstream release 0.9.0 which should fix this is out now. Now we need a version 
upgrade for the FE package.
Comment 5 Orion Poplawski 2006-07-27 14:58:03 EDT
Built.  Should be out shortly.

Note You need to log in before you can comment on or make changes to this bug.